Package org.kapott.hbci.manager

## Class ThreadSyncer

- java.lang.Object
- - org.kapott.hbci.manager.ThreadSyncer

    public class ThreadSyncer
    extends java.lang.Object

### Constructor Summary

Constructors
`ThreadSyncer​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearData()`
`java.lang.Object` `getData​(java.lang.String key)`
`void` `setData​(java.lang.String key, java.lang.Object obj)`
`void` `startWaiting​(long seconds, java.lang.String errMsg)`
`void` `stopWaiting()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadSyncer

    public ThreadSyncer​(java.lang.String name)

### Method Detail

#### startWaiting

    public void startWaiting​(long seconds,
                             java.lang.String errMsg)

#### stopWaiting

    public void stopWaiting()

#### setData

    public void setData​(java.lang.String key,
                        java.lang.Object obj)

#### clearData

    public void clearData()

#### getData

    public java.lang.Object getData​(java.lang.String key)